# $Revision: 1.8 $, $Date: 2010/07/08 08:34:20 $
%define	module	pyprocps

Summary:	Python module for gathering process information from /proc on Linux systems
Summary(pl.UTF-8):	Moduł Pythona do zbierania informacji o procesach z linuksowego katalogu /proc
Name:		python-%{module}
Version:	0.4
Release:	3
License:	PSF
Group:		Libraries/Python
Source0:	http://eli.criffield.net/pyprocps/pyprocps-%{version}.tar.gz
# Source0-md5:	be7b45655285875bf782fff3e948040e
BuildRequires:	python-devel >= 1:2.5
%pyrequires_eq	python
URL:		http://eli.criffield.net/pyprocps/
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module parses the information in /proc on Linux systems and
presents it.

%description -l pl.UTF-8
Ten moduł analizuje i obrazuje informacje z katalogu /proc w systemach
linuksowych.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/*.py[co]
%{py_sitescriptdir}/*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pyprocps.spec,v $
Revision 1.8  2010/07/08 08:34:20  arekm
- release 3

Revision 1.7  2008/10/03 17:58:56  arekm
- release 2

Revision 1.6  2007-06-30 21:13:50  arekm
- up to 0.4

Revision 1.5  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.3  2006/11/15 21:26:13  qboosh
- pl, python epoch

Revision 1.2  2006/11/09 07:22:56  arekm
- noarch

Revision 1.1  2006/11/09 07:19:23  arekm
- initial
